Package org.jacoco.core.analysis

## Interface ISourceNode

All Superinterfaces:
  `ICoverageNode`

All Known Subinterfaces:
  `IClassCoverage`, `IMethodCoverage`, `ISourceFileCoverage`

All Known Implementing Classes:
  `ClassCoverageImpl`, `MethodCoverageImpl`, `SourceFileCoverageImpl`, `SourceNodeImpl`

    public interface ISourceNode
    extends ICoverageNode

Interface for coverage nodes that have individual source lines like methods, classes and source files.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jacoco.core.analysis.ICoverageNode

`ICoverageNode.CounterEntity, ICoverageNode.ElementType`

### Field Summary

Fields
`static int` `UNKNOWN_LINE` Place holder for unknown lines (no debug information)

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getFirstLine()` The number of the first line coverage information is available for.
`int` `getLastLine()` The number of the last line coverage information is available for.
`ILine` `getLine​(int nr)` Returns the line information for given line.

### Methods inherited from interface org.jacoco.core.analysis.ICoverageNode

`containsCode, getBranchCounter, getClassCounter, getComplexityCounter, getCounter, getElementType, getInstructionCounter, getLineCounter, getMethodCounter, getName, getPlainCopy`

### Field Detail

#### UNKNOWN_LINE

    static final int UNKNOWN_LINE

Place holder for unknown lines (no debug information)

See Also:
  Constant Field Values

### Method Detail

#### getFirstLine

    int getFirstLine()

The number of the first line coverage information is available for. If no line is contained, the method returns -1.

Returns:
  number of the first line or `UNKNOWN_LINE`

#### getLastLine

    int getLastLine()

The number of the last line coverage information is available for. If no line is contained, the method returns -1.

Returns:
  number of the last line or `UNKNOWN_LINE`

#### getLine

    ILine getLine​(int nr)

Returns the line information for given line.

Parameters:
  `nr` - line number of interest
Returns:
  line information